Summary:    A Module::Install extension to include GitHub meta information in META.yml 
Name:       perl-Module-Install-GithubMeta 
Version:    0.30
Release:    6%{?dist}
License:    GPL+ or Artistic 
Url:        https://metacpan.org/release/Module-Install-GithubMeta
Source0:     https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-GithubMeta-%{version}.tar.gz 

BuildArch:  noarch

BuildRequires: make perl-generators perl(base) perl(Capture::Tiny) >= 0.05
BuildRequires: perl(Config) perl(Cwd) perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(ExtUtils::Manifest) perl(Fcntl) perl(File::Path)
BuildRequires: perl(File::Find) perl(File::Spec) perl(Module::Build)
BuildRequires: perl(Module::Install) >= 0.85 perl(strict)
BuildRequires: perl(Test::More) >= 0.47 perl(Test::Pod) perl(vars) perl(warnings)

Requires:      perl(Module::Install) >= 0.85

%{?perl_default_filter}

%description
Module::Install::GithubMeta is a Module::Install extension
to include GitHub (http://github.com) meta information in
'META.yml'.  It automatically detects if the distribution 
directory is under 'git' version control and whether the 
'origin' is a GitHub repository; if so, it will set the
'repository' and 'homepage' meta in 'META.yml' to the 
appropriate URLs for GitHub.


%prep
%autosetup -n Module-Install-GithubMeta-%{version}

cat README | iconv -f `file --mime-encoding --brief README` -t UTF-8 > x
mv x README

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.30-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.30-1
- initial build
